## bulk-extractor 2.0.0

=== etc/Makefile ===
demo5:demo5.cpp
	g++ -std=c++14 -o demo5 demo5.cpp

demo4:demo4.cpp
	g++ -std=c++14 -o demo4 demo4.cpp

demo3:demo3.cpp
	g++ -std=c++11 -o demo3 demo3.cpp


demo2:
	g++ -o demo2 demo2.cpp
