=== debian/control ===
Source: bulk-extractor
Section: non-free/net
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12),
               flex,
               gawk,
               git,
               libboost1.74-dev,
               libewf-dev,
               libexiv2-dev,
               libexpat1-dev,
               libgcrypt20-dev,
               libpcap0.8-dev,
               libsqlite3-dev,
               libssl-dev,
               libxml2-dev,
               libxml2-utils,
               uuid-dev,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: https://github.com/simsong/bulk_extractor

Package: bulk-extractor
Architecture: amd64 arm64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extracts information without parsing filesystem
 bulk_extractor is a C++ program that scans a disk image, a file,
 or a directory of files and extracts useful information without
 parsing the file system or file system structures. The results are
 stored in feature files that can be easily inspected, parsed, or
 processed with automated tools. bulk_extractor also creates
 histograms of features that it finds, as features that are more
 common tend to be more important.
