=== doxygen/Makefile ===
# May edit Doxyfile with doxywizard gui
all:
	doxygen Doxyfile

clean:
	rm -rf html
