=== debian/changelog ===
bulk-extractor (2.1.1-0kali2) kali-dev; urgency=medium

  * Update build-dep (new libboost)
  * Fix the build for the new version libre2-11

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 12 Jun 2024 15:11:12 +0200

bulk-extractor (2.1.1-0kali1) kali-dev; urgency=medium

  * New upstream version 2.1.1
  * Update Uploaders
  * Update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 30 Apr 2024 11:37:01 +0200

bulk-extractor (2.1.0-0kali1) kali-dev; urgency=medium

  * New upstream version 2.1.0
  * Add python3 and libre2-dev as build-dep + update d/rules

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 29 Jan 2024 17:19:06 +0100

bulk-extractor (2.0.6-0kali1) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * New upstream version 2.0.3

  [ Sophie Brun ]
  * New upstream version 2.0.6
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 10 Jan 2024 15:32:39 +0100

bulk-extractor (2.0.3-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.3
  * Fix building with gcc-13

 -- Steev Klimaszewski <steev@kali.org>  Tue, 03 Oct 2023 15:33:48 -0500
