=== debian/control ===
--- 
+++ 
@@ -1,26 +1,30 @@
 Source: bulk-extractor
 Section: non-free/net
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>,
 Build-Depends: debhelper-compat (= 12),
                flex,
                gawk,
                git,
-               libboost1.74-dev,
+               libboost1.83-dev,
                libewf-dev,
                libexiv2-dev,
                libexpat1-dev,
                libgcrypt20-dev,
                libpcap0.8-dev,
+	       libre2-dev,
                libsqlite3-dev,
                libssl-dev,
                libxml2-dev,
                libxml2-utils,
+	       python3,
                uuid-dev,
                zlib1g-dev
 Standards-Version: 4.6.2
 Homepage: https://github.com/simsong/bulk_extractor
+Vcs-Git: https://gitlab.com/kalilinux/packages/bulk-extractor.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/bulk-extractor
 
 Package: bulk-extractor
 Architecture: amd64 arm64
