=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,7 @@
 
 %:
 	dh $@
+
+override_dh_autoreconf:
+	python3 etc/makefile_builder.py
+	dh_autoreconf
